function I = simpson(g,a,b,nwezlow)
% INPUT
% g - calkowana funkcja 
% a, b - poczatek i koniec przedzialu calkowania
% nwezlow - liczba wezlow na przedziale [a,b]
% OUTPUT
% I - wartosc calki

n=nwezlow; % calkowita liczba wezlow MUSI BYC NIEPARZYSTA
h=(b-a)/(n-1)
x=a:h:b;
f=feval('g',x);
I=(h/3)*(f(1)+4*sum(f(2:2:n-1))+2*sum(f(3:2:n-2))+f(n));