function I = trapezoid(g,a,b,nwezlow)
% INPUT
% g - calkowana funkcja 
% a, b - poczatek i koniec przedzialu calkowania
% nwezlow - liczba wezlow na przedziale [a,b]
% OUTPUT
% I - wartosc calki

n=nwezlow; % calkowita liczba wezlow
h=(b-a)/(n-1)
x=a:h:b;
f=feval('g',x);
I=h*(0.5*f(1)+sum(f(2:n-1))+0.5*f(n));