function I = simpson38(g,a,b,nwezlow)
% INPUT
% g - calkowana funkcja 
% a, b - poczatek i koniec przedzialu calkowania
% nwezlow - liczba wezlow na przedziale [a,b]
% OUTPUT
% I - wartosc calki

n=nwezlow; % calkowita liczba wezlow n=4, 7, 10, 13 ....
h=(b-a)/(n-1)
x=a:h:b;
f=feval('g',x);
I=(3*h/8)*(f(1)+3*sum(f(2:3:n-2))+3*sum(f(3:3:n-1))+2*sum(f(4:3:n-3))+f(n));